BEGIN KINDRE25



IF ~NumTimesTalkedTo(0)~ THEN BEGIN KindrekMeetTOB
 SAY ~What?! What is this place? I have somehow been subjected to foul magic!~
=
~But who is this over here? I sense great power in <PRO_HIMHER>. I must tread carefully...~
=
~Greetings. I am Kindrek. I see you are a group armed for battle. Do you do a lot of killing?~  [KINDR045]
 ++ ~Yes. We go to meet our trouble.~ GOTO KindrekMeetTOB1a
 ++ ~I have summoned you, but give me one good reason why I should take you in my group!~ GOTO KindrekMeetTOB2a
 ++ ~That is none of your affair.~ GOTO KindrekMeetTOB3a
 ++ ~Greetings, I am <CHARNAME>. We fight only when we must.~ GOTO KindrekMeetTOB4a
 ++ ~Greetings, I am <CHARNAME>. We revel in the shedding of blood.~ GOTO KindrekMeetTOB5a
END

IF ~~ THEN BEGIN KindrekMeetTOB1a
 SAY ~The fashion of the world is to avoid cost, and you encounter it. I am looking for a band with which to travel. My halberd, Disruptor, has split many skulls and has spilled rivers of blood! Will you have me?~
 ++ ~Sure. Come aboard! We could use another eager blade!~ GOTO KindrekMeetTOB1b
 ++ ~Wait. First I have some questions.~ GOTO KindrekMeetTOB1c
 ++ ~No, I have no need of a savage butcher such as yourself.~ GOTO KindrekMeetTOB1d
END

IF ~~ THEN BEGIN KindrekMeetTOB1b
 SAY ~Excellent! And now let us see what this new world has for us! And let wizards tremble at our approach!~
 IF ~~ THEN DO ~SetGlobal("KindrekJoined","LOCALS",1)JoinParty()~
EXIT
END

IF ~~ THEN BEGIN KindrekMeetTOB1c
 SAY ~Ask, and I will not refuse to answer.~
 ++ ~What are you? You have a dwarf's build, yet you are taller than any man.~ GOTO KindrekMeetTOB1e
 ++ ~Why are you here? You are of no race I have ever encountered before.~ GOTO KindrekMeetTOB1e
 ++ ~Why do you delight in killing?~ GOTO KindrekMeetTOB1e
END

IF ~~ THEN BEGIN KindrekMeetTOB1d
 SAY ~Your loss, fools! You will learn in time that *butchery* will serve your turn.~
 IF ~~ THEN DO ~EscapeArea()~
EXIT
END

IF ~~ THEN BEGIN KindrekMeetTOB1e
 SAY ~I am a Rahk! The origin of my race is a mystery. Some say we have both dwarf and human blood, while others think we were cross-bred with giants.~
=
 ~Whatever the case, we do not care. We live only to destroy magic and those who wield it!~
 ++ ~You destroy magic?~ GOTO KindrekMeetTOB1f
 ++ ~Well, but why are you here?~ GOTO KindrekMeetTOB1f
 ++ ~Isn't a Roc a giant bird?~ GOTO KindrekMeetTOB1g
END

IF ~~ THEN BEGIN KindrekMeetTOB1f
 SAY ~You are no wizard, so there is nothing to fear! I require guides and friends in this strange land, so if you have me, you may rest assured that I will restrain myself from slaying any of your spellcasting companions.~
=
 ~The guards call this place Athkatla, but it is unknown to me. I was in the middle of killing a particularly wily wizard when I was sent here.~
=
 ~I can only guess it was accomplished by his magic. But fear not! I will have my revenge on Prenash!~
 ++ ~Prenash?~ GOTO KindrekMeetTOB1h
 ++ ~You may travel with me. I need a wizard-slayer.~ GOTO KindrekMeetTOB1b
END

IF ~~ THEN BEGIN KindrekMeetTOB1g
 SAY ~????? Perhaps they are homonyms!~
 ++ ~Forget it. Whatever name you give your race, you are strange.~ GOTO KindrekMeetTOB1i
 ++ ~I have no time to speak with one who is slow of speech.~ GOTO KindrekMeetTOB1j
END

IF ~~ THEN BEGIN KindrekMeetTOB1h
 SAY ~I hunt down wizards and slay them! They are anathema to me, and I glory in spilling their blood, in showing them that they cannot hide behind their pitiful magicks!~
=
 ~I had become so feared that cities trembled at my approach.~
=
 ~I had bathed in the blood of countless wizards, so they sent Prenash and his minions to eliminate me.~
 ++ ~Who sent Prenash?~ GOTO KindrekMeetTOB1k
 ++ ~You are a fiend! I should strike you down here for your crimes!~ GOTO KindrekMeetTOB1j
 ++ ~You despicable wretch! I will not speak with a murderer!~ GOTO KindrekMeetTOB1d
 ++ ~Bathing in blood sounds nice. I could use someone like you!~ GOTO KindrekMeetTOB1b
 ++ ~Continue with your tale. I would hear more.~ GOTO KindrekMeetTOB1m
END

IF ~~ THEN BEGIN KindrekMeetTOB1i
 SAY ~And in a strange land. Regardless, I require aid, and you are one of few who will even speak with me. You do not fear my scarred visage, my unkempt matted hair, nor the murderous lust glowing in my eyes! Will you have me?~
 ++ ~Sure. Come aboard! We could use another eager blade!~ GOTO KindrekMeetTOB1b
 ++ ~Wait. First I have some questions.~ GOTO KindrekMeetTOB1c
 ++ ~No, I have no need of a savage butcher such as yourself.~ GOTO KindrekMeetTOB1d
END

IF ~~ THEN BEGIN KindrekMeetTOB1j
 SAY ~The few who had the gall to speak to me in that way now lie in their graves! Soon you will join them!~
 IF ~~ THEN DO ~Enemy()EquipMostDamagingMelee()Attack(LastSeenBy())~
EXIT
END

IF ~~ THEN BEGIN KindrekMeetTOB1k
 SAY ~All who had something to lose and everything to gain by my death gave Prenash the soldiers he needed to track me down and destroy me.~
=
 ~But I did not run. I did not hide. Prenash would fall by my halberd. I sought him and found him, and as my hands wrapped round his throat, as the neckbone cracked and was beginning to give way under the strength of my grip, I was overwhelmed by brilliant light. All sensation fell away, and then I found myself here.~
=
 ~I was awoken by the city guard. They said something to the effect of, *I am here to keep order.*~
 ++ ~You are skilled in battling wizards, then?~ GOTO KindrekMeetTOB1l
END

IF ~~ THEN BEGIN KindrekMeetTOB1l
 SAY ~I am.~
 ++ ~Then join me. I will give you many chances to hunt.~ GOTO KindrekMeetTOB1b
 ++ ~It is a shame I have no room for you now. I might take you in later. Will you wait?~ GOTO KindrekMeetTOB1m
END

IF ~~ THEN BEGIN KindrekMeetTOB1m
 SAY ~I cannot. I am compelled to go forward.~
 ++ ~Fare you well, then.~ EXIT
 ++ ~Very well. Come along.~ GOTO KindrekMeetTOB1b
END

IF ~~ THEN BEGIN KindrekMeetTOB2a
 SAY ~Because I require a band with which to travel. My halberd, Disruptor, has split many skulls and has spilled rivers of blood! Will you have me?~
 ++ ~Sure. Come aboard! We could use another eager blade!~ GOTO KindrekMeetTOB1b
 ++ ~Wait. First I have some questions.~ GOTO KindrekMeetTOB1c
 ++ ~No, I have no need of a savage butcher such as yourself.~ GOTO KindrekMeetTOB1d
END

IF ~~ THEN BEGIN KindrekMeetTOB3a
 SAY ~No wizard leads this group. That is why I speak to you.~
 ++ ~Step aside. I cannot be delayed.~ GOTO KindrekMeetTOB3b
 ++ ~Strange. Why do you fear wizards?~ GOTO KindrekMeetTOB3c
END

IF ~~ THEN BEGIN KindrekMeetTOB3b
 SAY ~Fare you well, then.~
 IF ~~ THEN DO ~EscapeArea()~
EXIT
END

IF ~~ THEN BEGIN KindrekMeetTOB3c
 SAY ~I did not say I fear them. I simply said this group is under the command of one who is not a wizard. I loathe wizards and will not speak to one. Indeed, it is best that he keeps clear of me if he values his life!~
 ++ ~So you hate wizards. What does this have to do with me?~ GOTO KindrekMeetTOB1f
 ++ ~Move aside! I cannot waste any more time speaking with one as close-minded as you.~ GOTO KindrekMeetTOB1j
END

IF ~~ THEN BEGIN KindrekMeetTOB4a
 SAY ~A safe answer! I fight even when I shouldn't!~
=
 ~I am looking for a band with which to travel. My halberd, Disruptor, has split many skulls and has spilled rivers of blood! Will you have me?~
 ++ ~Sure. Come aboard! We could use another eager blade!~ GOTO KindrekMeetTOB1b
 ++ ~Wait. First I have some questions.~ GOTO KindrekMeetTOB1c
 ++ ~No, I have no need of a savage butcher such as yourself.~ GOTO KindrekMeetTOB1d
END

IF ~~ THEN BEGIN KindrekMeetTOB5a
 SAY ~Excellent! A good answer. Perhaps I have found the ones I have been looking for.~
=
 ~I am looking for a band with which to travel. My halberd, Disruptor, has split many skulls and has spilled rivers of blood! Will you have me?~
 ++ ~Sure. Come aboard! We could use another eager blade!~ GOTO KindrekMeetTOB1b
 ++ ~Wait. First I have some questions.~ GOTO KindrekMeetTOB1c
 ++ ~No, I have no need of a savage butcher such as yourself.~ GOTO KindrekMeetTOB1d
END
